框架升级

原框架是6,我想升到7

1.我想测试一下框架升级,所以这个框架是新安装的没有装任何别的东西
2.我按照Laravel 中文文档 修改文件composer.json
laravel/framework 依赖版本到 ^7.0,
nunomaduro/collision 依赖版本到 ^4.1,
phpunit/phpunit 依赖版本到 ^8.5,
laravel/tinker 依赖版本到 ^2.0,
facade/ignition 依赖版本到 ^2.0
3.终端执行 composer update (报错)
更新依赖报错

请问为什么,是我还有什么忘记了吗,请教各位一下!

~邪~
《L02 从零构建论坛系统》
以构建论坛项目 LaraBBS 为线索,展开对 Laravel 框架的全面学习。应用程序架构思路贴近 Laravel 框架的设计哲学。
《L03 构架 API 服务器》
你将学到如 RESTFul 设计风格、PostMan 的使用、OAuth 流程,JWT 概念及使用 和 API 开发相关的进阶知识。
最佳答案

file

把升级说明看完

4天前 评论
讨论数量: 6

这个错误我找了挺久的,一直没有看懂

4天前 评论

file

把升级说明看完

4天前 评论

在App\Exceptions\Handler@report中,6版本注入的是Exception类型,7版本注入的是Throwable类型,重写report必须与父级函数类型一致!

4天前 评论

多看看文档 升级说明《Laravel 7 中文文档》

app/Exceptions/Handler.php 中的Exception 改为 Throwable

file

4天前 评论

嗯,我一直以为下面的是说明,不用管的 :sweat_smile: :sweat_smile:

4天前 评论

总结一下 冷静下来,认真想一下,这些东西肯定是有原因的

4天前 评论

讨论应以学习和精进为目的。请勿发布不友善或者负能量的内容,与人为善,比聪明更重要!